# Prometheus and Grafana monitoring for Spring Boot application

This project demonstrates how to set up monitoring for a Spring Boot application using Prometheus and Grafana.

## Running the project

1. Clone the repository.
2. Start the containers using Docker Compose:

```bash
docker compose up --build -d
```

3. Access Grafana at http://localhost:3000.
4. Navigate to the `Dashboard` section and select `calls-count-dashboard`.

## Usage

- Prometheus scrapes metrics from the `/metrics` endpoint of the Spring Boot application every 15 seconds at http://localhost:8080/metrics.
- The `/metrics` endpoint includes a `call_counter` variable, which increases each time the `/data` endpoint is called. You can manually increase the counter by executing:

```bash
curl http://localhost:8080/data
```

- When Prometheus scrapes the `/metrics` endpoint, it automatically restarts the counter.

## Contributors

- Juan Martín Barmasch
- Mateo Bartellini Huapalla
- Ezequiel Bellver
- Santiago Lo Coco
- Juan Manuel Negro

